msgpack::sbuffer Class Reference

`#include <sbuffer.hpp>`

## Public Member Functions

| sbuffer (size_t initsz=MSGPACK_SBUFFER_INIT_SIZE)
| ~sbuffer ()
| sbuffer (const sbuffer &)=delete
sbuffer & | operator= (const sbuffer &)=delete
| sbuffer (sbuffer &&other)
sbuffer & | operator= (sbuffer &&other)
void | write (const char *buf, size_t len)
char * | data ()
const char * | data () const
size_t | size () const
char * | release ()
void | clear ()

## Constructor & Destructor Documentation

## sbuffer() [1/3]

msgpack::sbuffer::sbuffer | ( | size_t | initsz = `MSGPACK_SBUFFER_INIT_SIZE` | ) |

inline

References MSGPACK_NULLPTR.

Referenced by clear(), and ~sbuffer().

## ~sbuffer()

msgpack::sbuffer::~sbuffer | ( |  | ) |

inline

References operator=(), and sbuffer().

## sbuffer() [2/3]

msgpack::sbuffer::sbuffer | ( | const sbuffer & |  | ) |

delete

## sbuffer() [3/3]

msgpack::sbuffer::sbuffer | ( | sbuffer && | other | ) |

inline

References MSGPACK_NULLPTR.

## Member Function Documentation

## clear()

void msgpack::sbuffer::clear | ( |  | ) |

inline

References MSGPACK_SBUFFER_INIT_SIZE, operator=(), and sbuffer().

## data() [1/2]

char* msgpack::sbuffer::data | ( |  | ) |

inline

## data() [2/2]

const char* msgpack::sbuffer::data | ( |  | ) | const

inline

## operator=() [1/2]

sbuffer& msgpack::sbuffer::operator= | ( | const sbuffer & |  | ) |

delete

Referenced by clear(), and ~sbuffer().

## operator=() [2/2]

sbuffer& msgpack::sbuffer::operator= | ( | sbuffer && | other | ) |

inline

References MSGPACK_NULLPTR.

## release()

char* msgpack::sbuffer::release | ( |  | ) |

inline

References MSGPACK_NULLPTR.

## size()

size_t msgpack::sbuffer::size | ( |  | ) | const

inline

## write()

void msgpack::sbuffer::write | ( | const char * | buf,
|  | size_t | len
| ) |  |

inline

The documentation for this class was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/sbuffer.hpp